Skip to main content
PUT
Update Group

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string
required

The ID of the group you wish to update

Body

application/json

Standard group model that returns all properties by default

name
string

Name of the group

Example:

"Video Editors"

description
string

Description about the group

Example:

"Full schedule access, limited project access"

members
Group members user model · object[]

If true, this is a system group that cannot be edited

acl_schedule
enum<string>

Access level to the Schedule module

Available options:
--,
R-,
RW
Example:

"R-"

acl_project
enum<string>

Access level to the Project module

Available options:
--,
R-,
RW
Example:

"R-"

acl_task
enum<string>

Access level to the Task module

Available options:
--,
R-,
RW
Example:

"R-"

acl_finance
enum<string>

Access level to the Finance module

Available options:
--,
R-,
RW
Example:

"R-"

acl_report
enum<string>

Access level to the Report module

Available options:
--,
R-,
RW
Example:

"R-"

acl_contact
enum<string>

Access level to the Contact module

Available options:
--,
R-,
RW
Example:

"R-"

acl_admin
enum<string>

Access level to the Admin module

Available options:
--,
R-,
RW
Example:

"R-"

acl_account
enum<string>

Access level to the Account module

Available options:
--,
R-,
RW
Example:

"R-"

Response

Successful Operation

success
object